package cn.iocoder.yudao.module.pms.service.yanfan.sip.config;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.pms.controller.admin.yanfan.sip.config.vo.IotYfSipConfigPageReqVO;
import cn.iocoder.yudao.module.pms.controller.admin.yanfan.sip.config.vo.IotYfSipConfigSaveReqVO;
import cn.iocoder.yudao.module.pms.dal.dataobject.yanfan.sip.config.IotSipConfigDO;
import cn.iocoder.yudao.module.pms.service.yanfan.config.SysSipConfig;

import javax.validation.Valid;

/**
 * yf-sip系统配置 Service 接口
 *
 * @author 超级管理员
 */
public interface IotSipConfigService {
    IotSipConfigDO selectSipConfigBydeviceSipId(String deviceSipId);
    void  syncSipConfig(SysSipConfig sipConfig);
    void updateDefaultSipConfig(IotSipConfigDO sipConfig);
    IotSipConfigDO GetDefaultSipConfig();
    IotSipConfigDO selectSipConfigByProductId(Long productId);
    int deleteSipConfigByProductIds(Long[] productIds);
    /**
     * 创建yf-sip系统配置
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createIotSipConfig(@Valid IotYfSipConfigSaveReqVO createReqVO);

    /**
     * 更新yf-sip系统配置
     *
     * @param updateReqVO 更新信息
     */
    void updateIotSipConfig(@Valid IotYfSipConfigSaveReqVO updateReqVO);

    /**
     * 删除yf-sip系统配置
     *
     * @param id 编号
     */
    void deleteIotSipConfig(Long id);

    /**
     * 获得yf-sip系统配置
     *
     * @param id 编号
     * @return yf-sip系统配置
     */
    IotSipConfigDO getIotSipConfig(Long id);

    /**
     * 获得yf-sip系统配置分页
     *
     * @param pageReqVO 分页查询
     * @return yf-sip系统配置分页
     */
    PageResult<IotSipConfigDO> getIotSipConfigPage(IotYfSipConfigPageReqVO pageReqVO);

}
